Bug 493653 - r128 startx hangs for PCI 1002:5046 Rage 128 PF/PRO AGP 4x TMDS
r128 startx hangs for PCI 1002:5046 Rage 128 PF/PRO AGP 4x TMDS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-r128 (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 10:15 EDT by John Reiser
Modified: 2009-11-05 17:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 17:41:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log from succesful graphics on Fedora 10 liveCD (39.44 KB, text/plain)
2009-04-02 10:15 EDT, John Reiser
no flags Details
Xorg.0.log success using desktop-i286-20091104.16.iso (38.04 KB, text/plain)
2009-11-05 17:41 EST, John Reiser
no flags Details

  None (edit)
Description John Reiser 2009-04-02 10:15:12 EDT
Created attachment 337822 [details]
Xorg.0.log from succesful graphics on Fedora 10 liveCD

Description of problem: All attempts to start X11 graphics fail when booting the Radeon Test Day livecd (fedora-livecd-testday-20090331-i386).  Booting default, booting " nomodeset", booting " nomodeset=1", booting " 3" then startx, booting " nomodeset 3" then startx; all hang with bad display and no keyboard response.


Version-Release number of selected component (if applicable):
fedora-livecd-testday-20090331-i386

How reproducible: always


Steps to Reproduce:
1. boot fedora-livecd-testday-20090331-i386
2.
3.
  
Actual results: boot succeeds, but when graphics should start, then: screen flickers about once per second if booting directly into graphics, else freezes immediately when using explicit startx.  There is no response to any keyboard input, including Ctrl-Alt-Fn and Ctrl-Alt-Del.  Bottom 4/5 of 1280x1024 screen is blank.  Top 1/5 has 8 horizontal repetitions of a decimated splash screen with "fedora" in large non-text, some small line-drawn boxes above it, and top 16 rasters (or so) with binary data.  Machine can be pinged, so network is still up, but ssh is not active ("port 22: No route to host")


Expected results: successful transition to X11 graphics


Additional info: Machine and X11 graphics work fine with Fedora10-i686-Live liveCD  (and normally runs Fedora Core 5 [yes, Five])

lspci says:
01:00.0 VGA compatible controller: ATI Technologies Inc Rage 128 PF/PRO AGP 4x TMDS
01:00.0 0300: 1002:5046
01:00.0 VGA compatible controller: ATI Technologies Inc Rage 128 PF/PRO AGP 4x TMDS (prog-if 00 [VGA controller])
        Subsystem: PC Partner Limited Device 7106
        Flags: bus master, stepping, 66MHz, medium devsel, latency 64, IRQ 11
        Memory at f4000000 (32-bit, prefetchable) [size=64M]
        I/O ports at d800 [size=256]
        Memory at f3000000 (32-bit, non-prefetchable) [size=16K]
        Expansion ROM at f3fe0000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel modules: aty128fb
Comment 1 John Reiser 2009-04-19 17:44:38 EDT
The problem persists with today's i386 boot.iso (2009-04-19 Sunday) via CD-RW.  Rawhide report claims:
kernel-2.6.29.1-100.fc11
xorg-x11-drv-ati-6.12.2-4.fc11
xorg-x11-server-1.6.1-6.fc11
Comment 2 John Reiser 2009-04-28 22:37:04 EDT
Attempting to install Fedora 11 i386 Preview DVD gets the same hang.
Comment 3 John Reiser 2009-04-28 22:47:43 EDT
Upon reboot into Fedora Core 4, the video output RAMDAC has been fried.  Areas that should be light yellow (and were before trying F11 Preview DVD) are light pink instead.  The card appears to work except for the bad color, but I expect that the card is likely to fail completely within a short while.

In order to continue using the machine, I have removed the 1002:5046 card, and replaced it with a 1002:5157  Radeon RV200 [Radeon 7500] card which does not use the r128 driver.  So using this box to test the r128 driver now requires swapping cards.
Comment 4 Bug Zapper 2009-06-09 09:06:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Matěj Cepl 2009-11-05 13:24:52 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 John Reiser 2009-11-05 17:41:10 EST
Created attachment 367748 [details]
Xorg.0.log success using desktop-i286-20091104.16.iso

This has been fixed as of desktop-i386-20091104.16.iso, a nightly Live-CD from yesterday.

Note You need to log in before you can comment on or make changes to this bug.